Subject: bug#43771: closed (Re: [bug#43771] [PATCH 0/5] PostgreSQL service improvements)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Oct 2020 22:42:02 +0000

Your bug report

#43771: [PATCH 0/5] PostgreSQL service improvements

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43771: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43771
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43771] [PATCH 0/5] PostgreSQL service improvements
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 20 Oct 2020 23:41:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Christopher Baines <[email-masked]> skribis:
>>>
>>>> Christopher Baines (5):
>>>>   Replace (postgresql-service) with (service postgresql-service-type)
>>>>   Add some subheadings in to the Databases section of the docs
>>>>   Remove the postgresql-service procedure
>>>>   Define postgresql-10
>>>>   Don't specify a default postgresql version to use for the service
>>>
>>> It all LGTM… except for commit logs.  :-)  Please add the conventional
>>> subject line and ChangeLog-style entries.  I’m sorry to spoil your
>>> Monday morning.  :-)
>>
>> I've finally got around now to revising the commit messages and sent
>> some updated patches.
>
> Perfect, go for it!

Great, I've pushed these as bdcf4d88d58798eca7811c8b1fbd4638168d05c3
now. Thanks!

Subject: [PATCH 0/5] PostgreSQL service improvements
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Fri, 02 Oct 2020 19:36:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines (5):
  Replace (postgresql-service) with (service postgresql-service-type)
  Add some subheadings in to the Databases section of the docs
  Remove the postgresql-service procedure
  Define postgresql-10
  Don't specify a default postgresql version to use for the service

 doc/guix.texi              | 52 +++++++++++++++++++++++++++++++-------
 gnu/packages/databases.scm |  2 ++
 gnu/services/databases.scm | 25 ++----------------
 gnu/tests/databases.scm    |  4 ++-
 gnu/tests/guix.scm         |  1 +
 gnu/tests/monitoring.scm   |  4 ++-
 gnu/tests/web.scm          |  4 ++-
 7 files changed, 57 insertions(+), 35 deletions(-)